# StructureStyle

class xsdata.models.config.StructureStyle(value, names=<not given>, *values, module=None, qualname=None, type=None, start=1, boundary=None)

  Code writer output structure strategies.

  Variables:

    - FILENAMES – filenames: groups classes by the schema location

    - NAMESPACES – namespaces: group classes by the target namespace

    - CLUSTERS – clusters: group by strong connected dependencies

    - SINGLE_PACKAGE – single-package: group all classes together

    - NAMESPACE_CLUSTERS – namespace-clusters: group by strong connected dependencies and namespaces